package com.edgec.browserbackend.account.domain;

import com.edgec.browserbackend.account.service.SmsUtils;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.text.SimpleDateFormat;
import java.util.Date;

@Getter
@Setter
@Document(collection = "userpayment")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserPayment {

    @Id
    private String id;

    private String tradeNo = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()) + SmsUtils.createRandom(true, 4);

    private String username;

    private int amount;

    private boolean succeed;

    private Date paymentDate = new Date();

    private PaymentMethod paymentMethod;

    private String transId;
}
